Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class PartitionChecker

    java.lang.Object
      rice.pastry.testing.PartitionChecker

    public class PartitionChecker

extends java.lang.Object

Pass in a certificate which contains bootstrap nodes. Output is an ordered list of independent rings, and which bootstrap nodes belong to each.

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  Jeff Hoye

Field Summary
`protected int` | `MAX_THREADS` DESCRIBE THE FIELD

Constructor Summary
`PartitionChecker(java.lang.String ringIdString)` Constructor for PartitionChecker.

Method Summary
`protected void` | `buildBootstrapSetFromCert(java.lang.String ringIdString)` DESCRIBE THE METHOD
`protected rice.pastry.testing.PartitionChecker.Ring` | `buildRing(DistPastryNodeFactory factory, java.net.InetSocketAddress bootstrap)` DESCRIBE THE METHOD
`static void` | `main(java.lang.String[] args)` The main program for the PartitionChecker class

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_THREADS

    protected final int MAX_THREADS

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Constructor Detail

### PartitionChecker

    public PartitionChecker(java.lang.String ringIdString)
                     throws java.lang.Exception

  Constructor for PartitionChecker.

  Parameters:
    `ringIdString` - DESCRIBE THE PARAMETER
  Throws:
    `java.lang.Exception` - DESCRIBE THE EXCEPTION

Method Detail

### buildBootstrapSetFromCert

    protected void buildBootstrapSetFromCert(java.lang.String ringIdString)
                                      throws java.lang.Exception

  DESCRIBE THE METHOD

  Parameters:
    `ringIdString` - DESCRIBE THE PARAMETER
  Throws:
    `java.lang.Exception` - DESCRIBE THE EXCEPTION

### buildRing

    protected rice.pastry.testing.PartitionChecker.Ring buildRing(DistPastryNodeFactory factory,
                                                                  java.net.InetSocketAddress bootstrap)
                                                           throws java.lang.Exception

  DESCRIBE THE METHOD

  Parameters:
    `factory` - DESCRIBE THE PARAMETER
    `bootstrap` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.lang.Exception` - DESCRIBE THE EXCEPTION

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  The main program for the PartitionChecker class

  Parameters:
    `args` - The command line arguments
  Throws:
    `java.lang.Exception` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.